DO $$
    BEGIN
        BEGIN
            ALTER TABLE jam_track_tracks ADD COLUMN preview_mp3_url VARCHAR;
            ALTER TABLE jam_track_tracks ADD COLUMN preview_mp3_md5 VARCHAR;
            ALTER TABLE jam_track_tracks ADD COLUMN preview_mp3_length BIGINT;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'preview mp3 columns already exist in jam_tracks';
        END;
    END;
$$  LANGUAGE plpgsql;